# Demo 3: Connection Management

# If running outside of the Python window, uncomment the import
#import arcpy

# Block new connections to the geodatabase
arcpy.AcceptConnections(r'C:\presentations\DevSummit2015\Demos\Demo4\sde.sde', False)

# Get a list of users that are connected to the geodatabase
userList = arcpy.ListUsers(r'C:\presentations\DevSummit2015\Demos\Demo4\sde.sde')
print(userList)

# Clean up the output of the userList
for user in userList:
    print user.Name, user.ID

# Disconnect a single user
arcpy.DisconnectUser(r'C:\presentations\DevSummit2015\Demos\Demo4\sde.sde', 87)

# Regenerate list
userList = arcpy.ListUsers(r'C:\presentations\DevSummit2015\Demos\Demo4\sde.sde')
for user in userList:
    print user.Name, user.ID
    
# Disconnect all users
arcpy.DisconnectUser(r'C:\presentations\DevSummit2015\Demos\Demo4\sde.sde', "ALL")

# Regenerate list
userList = arcpy.ListUsers(r'C:\presentations\DevSummit2015\Demos\Demo4\sde.sde')
for user in userList:
    print user.Name, user.ID
